Bug 493981 - (F11BFailsGeforce7100) F11B fails to load nouveau on GeForce 7100, and also fails to fall back to VESA
F11B fails to load nouveau on GeForce 7100, and also fails to fall back to VESA
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-nouveau (Show other bugs)
11
All Linux
high Severity high
: ---
: ---
Assigned To: Ben Skeggs
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-03 11:24 EDT by Christopher A. Williams
Modified: 2009-11-06 23:37 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-11-06 23:37:09 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Xorg log showing failure of nouveau and failure to fall back to VESA (10.92 KB, text/plain)
2009-04-03 11:24 EDT, Christopher A. Williams
no flags Details
Default xorg.conf created after installing system-config-display (617 bytes, text/plain)
2009-04-03 11:26 EDT, Christopher A. Williams
no flags Details
Xorg log generated with default xorg.conf file (40.10 KB, text/plain)
2009-04-03 11:27 EDT, Christopher A. Williams
no flags Details
Xorg log from updated nouveau driver (10.96 KB, text/plain)
2009-04-03 19:59 EDT, Christopher A. Williams
no flags Details
Xorg output from nv driver (9.39 KB, text/plain)
2009-04-03 20:14 EDT, Christopher A. Williams
no flags Details
Xorg log from xorg-x11-drv-nouveau-0.0.12-25.20090408gitd8545e6.f11 (26.45 KB, text/plain)
2009-04-08 09:24 EDT, Christopher A. Williams
no flags Details
Xorg log from xorg-x11-drv-nouveau-0.0.12-25.20090408gitd8545e6.f11 using xorg.conf (23.76 KB, text/plain)
2009-04-08 09:26 EDT, Christopher A. Williams
no flags Details

  None (edit)
Description Christopher A. Williams 2009-04-03 11:24:34 EDT
Created attachment 338062 [details]
Xorg log showing failure of nouveau and failure to fall back to VESA

Description of problem:
F11B fails to load X with NVidia GeForce 7100 (on EVGA 7100 MB.

Version-Release number of selected component (if applicable):


How reproducible:
Every time.

Steps to Reproduce:
1. Create Live USB drive of F11
2.Boot from USB drive
3. X fails to load (blank screen instead.
  
Actual results:
X fails to load any driver.

Expected results:
X successfully loads either the nouveau or the VESA dirver

Additional info:
Appears from the logs that nouveau driver recognizes the card, but then fails with a Signal 11. By that time, it seems we're already committed to using nouveau so falling back to VESA is never tried. Xorg logs will be attached.

Installing system-config-display and forcing a default xorg.conf file (attached) causes a successful fallback to using the VESA driver.
Comment 1 Christopher A. Williams 2009-04-03 11:26:12 EDT
Created attachment 338064 [details]
Default xorg.conf created after installing system-config-display

This is the default xorg.conf created by system-config-display which then successfully loads the VESA driver.
Comment 2 Christopher A. Williams 2009-04-03 11:27:39 EDT
Created attachment 338065 [details]
Xorg log generated with default xorg.conf file

This is the Xorg log that is generated when the default xorg.conf file is generated with system-config-display. It results in a successful load of the VESA driver.
Comment 3 Ben Skeggs 2009-04-03 12:23:38 EDT
How do you go with the build available from http://koji.fedoraproject.org/koji/taskinfo?taskID=1275633 ?
Comment 4 Christopher A. Williams 2009-04-03 19:59:02 EDT
Created attachment 338133 [details]
Xorg log from updated nouveau driver

Updated Xorg log output from updated driver (from request for info)
Comment 5 Christopher A. Williams 2009-04-03 19:59:42 EDT
(In reply to comment #4)
> Created an attachment (id=338133) [details]
> Xorg log from updated nouveau driver
> 
> Updated Xorg log output from updated driver (from request for info)  

Tried it. No dice. Output from the updated driver attached...
Comment 6 Christopher A. Williams 2009-04-03 20:13:39 EDT
For what it's worth, I also tried with teh regular nv driver. Same result. Output is attached.
Comment 7 Christopher A. Williams 2009-04-03 20:14:26 EDT
Created attachment 338135 [details]
Xorg output from nv driver

Xorg output from nv driver
Comment 8 Mike Chambers 2009-04-04 08:38:02 EDT
What type of monitor are you using and is it same as when you used it for F10?  Have you tried a different one (doesn't matter what it is) just to test?  Don't know why this would matter but just a *hunch* I have for some reason.
Comment 9 Christopher A. Williams 2009-04-04 15:15:39 EDT
(In reply to comment #8)
> What type of monitor are you using and is it same as when you used it for F10? 
> Have you tried a different one (doesn't matter what it is) just to test?  Don't
> know why this would matter but just a *hunch* I have for some reason.  

Display is an Acer P243W flat screen and is connected via a DVI cable. Yes, it runs swimmingly well on F10 - in fact the display with the proprietary nVidia drivers is nothing short of stunning.

I haven't tried this with another display as yet. I'm not sure why that would make a difference though. If I can find an extra VGA cable (or a DVI to VGA converter plug), I'll give this a shot with an old Compaq P1100 I have sitting around.
Comment 10 Ben Skeggs 2009-04-08 02:39:19 EDT
I pushed another fix that will hopefully help, it's available from xorg-x11-drv-nouveau-0.0.12-25.20090408gitd8545e6.f11.  How do you fare with that?
Comment 11 Christopher A. Williams 2009-04-08 09:22:43 EDT
I think we're getting closer...! X still fails to load in the end, but there is clear evidence in both the behavior and the logs (will attach 2 of them) that we almost got there.

On the attachments:
- The first will be the log file when there is no specific xorg.conf file
- The second uses an xorg.conf file created by system-config-display and manually selecting the nouveau driver

Of note - when I used system-config-display --reconfig to generate a new xorg.conf file, it still failed back to the vesa friver. I had to specifically select the nouveau driver.
Comment 12 Christopher A. Williams 2009-04-08 09:24:32 EDT
Created attachment 338704 [details]
Xorg log from xorg-x11-drv-nouveau-0.0.12-25.20090408gitd8545e6.f11

Xorg log created with xorg-x11-drv-nouveau-0.0.12-25.20090408gitd8545e6.f11. This one was generated with no xorg.conf file present.
Comment 13 Christopher A. Williams 2009-04-08 09:26:16 EDT
Created attachment 338706 [details]
Xorg log from xorg-x11-drv-nouveau-0.0.12-25.20090408gitd8545e6.f11 using xorg.conf

Xorg log created from xorg-x11-drv-nouveau-0.0.12-25.20090408gitd8545e6.f11 when using an xorg.conf file created via system-config-display and manually selecting the nouveau driver.
Comment 14 Ben Skeggs 2009-04-23 23:35:31 EDT
Can you attach any /var/log/nv_*.rom files that may be present please?
Comment 15 Christopher A. Williams 2009-04-24 14:47:07 EDT
(In reply to comment #14)
> Can you attach any /var/log/nv_*.rom files that may be present please?  

Checked for the presence of any nv_*.rom files anywhere on the file system and none exist. I then checked for everything starting with nv and came up only with things like nvdriver (a directory) and a .inf file.

Not sure if that helps...
Comment 16 Ben Skeggs 2009-05-03 23:58:08 EDT
Sorry, that would have been /var/run/nv*.rom (note the lack of "_").

Do you have any way to ssh into the machine remotely?  If you do, can you install the xorg-x11-drv-nouveau-debuginfo package and get a proper backtrace with gdb?  (gdb --args /usr/bin/Xorg -ac :0)

Thanks!
Comment 17 Christopher A. Williams 2009-05-04 12:05:58 EDT
Got the packages installed, but will need to do some additional work to ssh to it. The issue is Network Manager doesn't start until you launch an X session, so I would have to re-configure the network to run without NM first.

Any way to do this backtrace from the local machine?

I'll try to get this done ASAP today. Otherwise I will not be able to until the weekend due to job related travel...
Comment 18 Bug Zapper 2009-06-09 09:13:02 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 19 Mike Chambers 2009-06-30 17:51:25 EDT
How is it going with this issue? Are you still having problems, and if so, have you done the backtrace from comment #16?

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 20 Christopher A. Williams 2009-06-30 23:02:05 EDT
I was never able to get backtrace to work on this by booting from a USB drive. However, I know that the issue still does exist on on a fresh F11 install, and has not changed to my knowledge even with the updates as of today.

I've since moved to using the proprietary nVidia drivers, but could try to get this information from the nouveau drivers by reconfiguring on a temporary basis. I could then ssh into the machine from my laptop.

I'll post those results back to here...
Comment 21 Ben Skeggs 2009-08-23 20:55:12 EDT
Any luck with getting that info?
Comment 22 Christopher A. Williams 2009-08-23 23:39:28 EDT
Unfortunately no I was not.

Thanks to the way NetworkManager works, the system would not come up on the network until after X had started. I was going to have to go through a number of additional steps that I didn't have time for to get the system up on the network.

No sure what else to do at this point. It seems apparent this is something specific to this model of card. Not sure what to try else.

Open to suggestions...

In the meantime, I'm just continuing with the proprietary drivers.
Comment 23 Matěj Cepl 2009-11-05 13:25:07 EST
Since this bugzilla report was filed, there have been several major updates in various components of the Xorg system, which may have resolved this issue. Users who have experienced this problem are encouraged to upgrade their system to the latest version of their packages. For packages from updates-testing repository you can use command

yum upgrade --enablerepo='*-updates-testing'

Alternatively, you can also try to test whether this bug is reproducible with the upcoming Fedora 12 distribution by downloading LiveMedia of F12 Beta available at http://alt.fedoraproject.org/pub/alt/nightly-composes/ . By using that you get all the latest packages without need to install anything on your computer. For more information on using LiveMedia take a look at https://fedoraproject.org/wiki/FedoraLiveCD .

Please, if you experience this problem on the up-to-date system, let us now in the comment for this bug, or whether the upgraded system works for you.

If you won't be able to reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

[This is a bulk message for all open Fedora Rawhide Xorg-related bugs. I'm adding myself to the CC list for each bug, so I'll see any comments you make after this and do my best to make sure every issue gets proper attention.]
Comment 24 Christopher A. Williams 2009-11-06 17:08:36 EST
OK with me to close this bug. I am certainly one of those who has moved on to newer versions. Preparing to load F12 in a few days when it releases...
Comment 25 Adam Williamson 2009-11-06 23:37:09 EST
alright then, thanks.

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

Note You need to log in before you can comment on or make changes to this bug.